.container{
    display: grid;
    /*grid-template-columns: auto auto;
    grid-template-rows: auto auto auto auto auto auto auto;
    grid-gap: 10px;*/
    background-color: whitesmoke;
}

.block.block1{
    padding: 5px;

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 5px;
}

.block.block1 img{
    width: 100%;
    height: auto;
    position: relative;
    z-index: 1;
}

.block.block2{
    text-align: center;
    padding: 5px;
}

.block.block3{
    padding: 5px;
    padding-bottom: 20px;
    padding-top: 10px;

    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5px;
}

.block.block3 img{
    width: 100%;
    height: auto;
    position: relative;
    z-index: 1;
}

.block.block4{
    padding: 10px;
}

.block.block5{
    text-align: center;
    padding: 5px;
}

.block.block6{
    padding: 5px;
}

.block.block7{
    text-align: center;
    padding: 5px;
}

.responsive{
    height: auto;
    width: 25%;
}

/*Tablet*/
@media screen and (min-width:768px) {

    header{
        grid-template-columns: auto;
    }

    .block.block1{
        grid-row: 1;
    }

    .block.block2{
        grid-row: 2;
    }

    main{
        grid-template-columns: auto;
    }

    .block.block3{
        grid-row: 1;
    }

    .block.block4{
        grid-row: 3;
    }

    .block.block5{
        grid-row: 2;
    }

    .block.block6{
        grid-row: 4;
    }

footer{
        grid-template-columns: auto;
    }

    .block.block7{
        grid-row: 1;
    }
}

/*Desktop*/
@media screen and (min-width:992px) {

    header{
        grid-template-columns: auto;
    }

    .block.block1{
        grid-row: 1;
        grid-column: 1;
    }

    .block.block2{
        grid-row: 2;
        grid-column: 1;
    }

    main{
        grid-template-columns: auto auto;
    }

    .block.block3{
        grid-row: 1;
        grid-column: 1;
    }

    .block.block4{
        grid-row: 1;
        grid-column: 2;
    }

    .block.block5{
        grid-row: 2;
        grid-column: 1;
    }

    .block.block6{
        grid-row: 2;
        grid-column: 2;
    }

    footer{
        grid-template-columns: auto;
    }

    .block.block7{
        grid-row: 1;
        grid-column: 1;
    }
}